//
//  OnnxExtension.hpp
//  SwitchboardOnnx
//
//  Created by Thomas Dodds on 2024. 02. 29..
//

#pragma once

#include <switchboard_onnx/export.h>
#include <switchboard_core/Extension.hpp>

namespace switchboard::extensions::onnx {

class SWITCHBOARDONNX_EXPORT OnnxExtension final : public Extension {
public:
    OnnxExtension() = default;

    static void load();

    // Overridden methods

    std::string getName() override;
    std::string getDescription() override;
    std::shared_ptr<NodeFactory> getNodeFactory() override;
};

}
